Commit c8ff6f14 authored by Neofytos Kolokotronis's avatar Neofytos Kolokotronis

digikam: prepared PKGBUILD for beta6

parent 49d02950
pkgbase=digikam
pkgname=('digikam' 'kipi-plugins')
_pkgver=5.0.0-beta5
pkgver=${_pkgver//-/_}
pkgver=5.0.0-beta6
pkgrel=1
url="http://digikam.sourceforge.net"
arch=('x86_64')
......@@ -11,21 +10,21 @@ makedepends=('extra-cmake-modules' 'libkipi' 'libksane' 'liblqr' 'boost'
'libgpod' 'hugin' 'opencv' 'qt5-webkit' 'doxygen' 'lensfun' 'imagemagick' 'eigen3' 'libpgf'
'libusb' 'kio' 'kdoctools' 'marble' 'kfilemetadata' 'akonadi-contact' 'qt5-multimedia'
'threadweaver' 'kcalcore' 'knotifyconfig' 'kdelibs4support' 'libkvkontakte' 'libmediawiki' 'mariadb')
source=("http://download.kde.org/unstable/${pkgname}/${pkgname}-${_pkgver}.tar.bz2")
source=("http://download.kde.org/unstable/${pkgname}/${pkgname}-${pkgver}.tar.bz2")
sha1sums=('b3fb866e364df19bae4cf44676cd6d4161b71d70')
prepare() {
mkdir -p build
sed -e 's|${KF5_MIN_VERSION}||' -i $pkgname-$_pkgver/core/CMakeLists.txt -i $pkgname-$_pkgver/extra/kipi-plugins/CMakeLists.txt
sed -e 's|${KF5_MIN_VERSION}||' -i $pkgname-$pkgver/core/CMakeLists.txt -i $pkgname-$pkgver/extra/kipi-plugins/CMakeLists.txt
}
build() {
cd build
cmake ../${pkgname}-${_pkgver} \
cmake ../${pkgname}-${pkgver} \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib \
-DCMAKE_BUILD_TYPE=RelWithDebInfo \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment